View Issue Details

IDProjectCategoryView StatusLast Update
0034765LazarusIDEpublic2019-01-02 05:53
ReporterPascal RiekenbergAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 10 x64OS Version1803
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0034765: Make Lazarus compile again after fpc revision 40645
DescriptionMake Lazarus compile again after fpc revision 40645
TagsNo tags attached.
Fixed in Revisionr59921
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • packageintf.pas.patch (830 bytes)
    Index: components/ideintf/packageintf.pas
    ===================================================================
    --- components/ideintf/packageintf.pas	(revision 59911)
    +++ components/ideintf/packageintf.pas	(working copy)
    @@ -104,8 +104,6 @@
       private
         FIDAsString: string;
         FIDAsWord: string;
    -    function GetIDAsString: string;
    -    function GetIDAsWord: string;
       protected
         FVersion: TPkgVersion;
         procedure SetName(const NewName: TComponentName); override;
    @@ -112,6 +110,8 @@
         procedure UpdateIDAsString;
         procedure VersionChanged(Sender: TObject); virtual;
         function GetDirectory: string; override;
    +    function GetIDAsString: string;
    +    function GetIDAsWord: string;
       public
         procedure AssignOptions(Source: TPersistent); virtual;
         constructor Create; virtual; reintroduce;
    
    packageintf.pas.patch (830 bytes)
  • cocoa-intf-protected.patch (481 bytes)
    Index: lcl/interfaces/cocoa/cocoawscommon.pas
    ===================================================================
    --- lcl/interfaces/cocoa/cocoawscommon.pas	(revision 59910)
    +++ lcl/interfaces/cocoa/cocoawscommon.pas	(working copy)
    @@ -32,6 +32,7 @@
           FBoundsReportedToChildren: boolean;
           FIsOpaque:boolean;
           FIsEventRouting:boolean;
    +  protected
         function GetHasCaret: Boolean;
         procedure SetHasCaret(AValue: Boolean);
         function GetIsOpaque: Boolean;
    

Relationships

has duplicate 0034770 closedBart Broersma lazbuild can't compiled from trunk 

Activities

Pascal Riekenberg

2018-12-27 08:07

reporter  

packageintf.pas.patch (830 bytes)
Index: components/ideintf/packageintf.pas
===================================================================
--- components/ideintf/packageintf.pas	(revision 59911)
+++ components/ideintf/packageintf.pas	(working copy)
@@ -104,8 +104,6 @@
   private
     FIDAsString: string;
     FIDAsWord: string;
-    function GetIDAsString: string;
-    function GetIDAsWord: string;
   protected
     FVersion: TPkgVersion;
     procedure SetName(const NewName: TComponentName); override;
@@ -112,6 +110,8 @@
     procedure UpdateIDAsString;
     procedure VersionChanged(Sender: TObject); virtual;
     function GetDirectory: string; override;
+    function GetIDAsString: string;
+    function GetIDAsWord: string;
   public
     procedure AssignOptions(Source: TPersistent); virtual;
     constructor Create; virtual; reintroduce;
packageintf.pas.patch (830 bytes)

Jonas Maebe

2018-12-27 14:57

manager  

cocoa-intf-protected.patch (481 bytes)
Index: lcl/interfaces/cocoa/cocoawscommon.pas
===================================================================
--- lcl/interfaces/cocoa/cocoawscommon.pas	(revision 59910)
+++ lcl/interfaces/cocoa/cocoawscommon.pas	(working copy)
@@ -32,6 +32,7 @@
       FBoundsReportedToChildren: boolean;
       FIsOpaque:boolean;
       FIsEventRouting:boolean;
+  protected
     function GetHasCaret: Boolean;
     procedure SetHasCaret(AValue: Boolean);
     function GetIsOpaque: Boolean;

Jonas Maebe

2018-12-27 14:58

manager   ~0112909

The Cocoa interface also needs a patch (attached).

Juha Manninen

2018-12-28 13:41

developer   ~0112945

Patches applied, thanks.

Issue History

Date Modified Username Field Change
2018-12-27 08:07 Pascal Riekenberg New Issue
2018-12-27 08:07 Pascal Riekenberg File Added: packageintf.pas.patch
2018-12-27 14:57 Jonas Maebe File Added: cocoa-intf-protected.patch
2018-12-27 14:58 Jonas Maebe Note Added: 0112909
2018-12-28 10:51 Juha Manninen Relationship added related to 0034770
2018-12-28 13:15 Bart Broersma Relationship replaced has duplicate 0034770
2018-12-28 13:30 Juha Manninen Assigned To => Juha Manninen
2018-12-28 13:30 Juha Manninen Status new => assigned
2018-12-28 13:41 Juha Manninen Fixed in Revision => r59921
2018-12-28 13:41 Juha Manninen LazTarget => -
2018-12-28 13:41 Juha Manninen Note Added: 0112945
2018-12-28 13:41 Juha Manninen Status assigned => resolved
2018-12-28 13:41 Juha Manninen Resolution open => fixed
2019-01-02 05:53 Pascal Riekenberg Status resolved => closed